org.eclipse.net4j.util.event

## Interface IEvent

- All Known Subinterfaces:
    ICacheMonitorEvent, IContainerEvent<E>, IHistoryChangeEvent, ILifecycleEvent, IOptionsEvent, OMPreferencesChangeEvent<T>
  All Known Implementing Classes:
    ContainerEvent, Event, FinishedEvent, FiniteStateMachine.StateChangedEvent, LifecycleEvent, NotifyingMonitor.ProgressEvent, OptionsEvent, RollingLog.PropertiesEvent, RollingLog.RecoveryEvent, RollingLog.RollingLogEvent, RollingLog.SplitEvent, SashComposite.OrientationChangedEvent, SingleDeltaContainerEvent, ThrowableEvent, ValueEvent

      public interface IEvent

  An event that is fired from a `notifier` and can be handled by `listeners`.
  Author:
    Eike Stepper
  Apiviz

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `INotifier` | `getSource()`

- - ### Method Detail

    - #### getSource

          INotifier getSource()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html